How to Install libparams-validationcompiler-perl in Ubuntu 18.04



Install libparams-validationcompiler-perl by entering the following commands in the terminal:

sudo apt update
sudo apt install libparams-validationcompiler-perl

Description:

module to build an optimized subroutine parameter validator

Params::ValidationCompiler creates a customized, highly efficient parameter checking subroutine. It can handle named or positional parameters, and can return the parameters as key/value pairs or a list of values. . In addition to type checks, it also supports parameter defaults, optional parameters, and extra "slurpy" parameters. . A parameter specification can be provided as either an arrayref (which expects positional params) or a hashref (which expects named params). Parameter types can be specified as Moose, Type::Tiny or Specio type objects. Parameters can be specified as being optional and can be provided with default values.

Homepage: https://metacpan.org/release/Params-ValidationCompiler

Version: 0.26-1

Section: universe/perl